<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/EqualizerImplementations/include/EqualizerImplementations/InMemoryEqualizerConfiguration.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_63c328d9f040c398ed3a99417a38689e.html">EqualizerImplementations</a></li><li class="navelem"><a class="el" href="dir_c3ab2912bcaa751858979eb56f868649.html">include</a></li><li class="navelem"><a class="el" href="dir_2b0702df2f3e533a62c24ce8fd2e9d93.html">EqualizerImplementations</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">InMemoryEqualizerConfiguration.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_in_memory_equalizer_configuration_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_EQUALIZERIMPLEMENTATIONS_INCLUDE_EQUALIZERIMPLEMENTATIONS_INMEMORYEQUALIZERCONFIGURATION_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_EQUALIZERIMPLEMENTATIONS_INCLUDE_EQUALIZERIMPLEMENTATIONS_INMEMORYEQUALIZERCONFIGURATION_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;mutex&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_equalizer_configuration_interface_8h.html">AVSCommon/SDKInterfaces/Audio/EqualizerConfigurationInterface.h</a>&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>equalizer {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">   31</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html">avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a> {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a5a326b4ceed7e7c7bc7525341f9a2405">~InMemoryEqualizerConfiguration</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keyword">static</span> std::shared_ptr&lt;InMemoryEqualizerConfiguration&gt; <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#aacaa1f71cc13fe781f0a1c1ce74daa4c">create</a>(</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <span class="keywordtype">int</span> minBandLevel,</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <span class="keywordtype">int</span> maxBandLevel,</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <span class="keyword">const</span> std::set&lt;avsCommon::sdkInterfaces::audio::EqualizerBand&gt;&amp; bandsSupported,</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="keyword">const</span> std::set&lt;avsCommon::sdkInterfaces::audio::EqualizerMode&gt;&amp; modesSupported,</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">avsCommon::sdkInterfaces::audio::EqualizerState</a> defaultState);</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keyword">static</span> std::shared_ptr&lt;InMemoryEqualizerConfiguration&gt; <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a2d75564680a8059840aa6176d1e2ed4e">createDisabled</a>();</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keyword">static</span> std::shared_ptr&lt;InMemoryEqualizerConfiguration&gt; <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a261ecb7fcc5529cdcf6ab80dc15dbd6f">createDefault</a>();</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a63ab6793307ce3b30e0d1d0757ffbc5f">isEnabled</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    std::set&lt;avsCommon::sdkInterfaces::audio::EqualizerBand&gt; <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a0264bc159e277c42cbf36f0080878c8d">getSupportedBands</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    std::set&lt;avsCommon::sdkInterfaces::audio::EqualizerMode&gt; <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a424701750b77707dcb1f95911cf04e1d">getSupportedModes</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a1c6844a25a7118785a2a01605d4d960f">getMinBandLevel</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a26039ca45ee99d03febdd1bfaf4ab0f2">getMaxBandLevel</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">avsCommon::sdkInterfaces::audio::EqualizerState</a> <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#adce21b695c70cd7241d7dad6367e7c77">getDefaultState</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a2281a169ecf9f41f2d0a32d87f059753">isBandSupported</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">avsCommon::sdkInterfaces::audio::EqualizerBand</a> band) <span class="keyword">const override</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a57f4abe411139ebcd58882089a22b5c6">isModeSupported</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">avsCommon::sdkInterfaces::audio::EqualizerMode</a> mode) <span class="keyword">const override</span>;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a75180cfd38ea7340d53a3edecab75616">InMemoryEqualizerConfiguration</a>(</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        <span class="keywordtype">int</span> minBandLevel,</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        <span class="keywordtype">int</span> maxBandLevel,</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        <span class="keyword">const</span> std::set&lt;avsCommon::sdkInterfaces::audio::EqualizerBand&gt;&amp; bandsSupported,</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        <span class="keyword">const</span> std::set&lt;avsCommon::sdkInterfaces::audio::EqualizerMode&gt;&amp; modesSupported,</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">avsCommon::sdkInterfaces::audio::EqualizerState</a> defaultState);</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a75180cfd38ea7340d53a3edecab75616">InMemoryEqualizerConfiguration</a>();</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a41582e94f6e33233366428e648a2ab55">validateConfiguration</a>();</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a28f660b0e5e06bad287ad16eaad076b3">validateBandLevelMap</a>(</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        <span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a9e92dbf094527d2bf8ead4429f0ef9ea">avsCommon::sdkInterfaces::audio::EqualizerBandLevelMap</a>&amp; bandLevelMap,</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        <span class="keywordtype">bool</span> validateValues);</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="keywordtype">int</span> m_maxBandLevel;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="keywordtype">int</span> m_minBandLevel;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    std::set&lt;avsCommon::sdkInterfaces::audio::EqualizerBand&gt; m_bandsSupported;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    std::set&lt;avsCommon::sdkInterfaces::audio::EqualizerMode&gt; m_modesSupported;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">avsCommon::sdkInterfaces::audio::EqualizerState</a> m_defaultState;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <span class="keywordtype">bool</span> m_isEnabled;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;};</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;}  <span class="comment">// namespace equalizer</span></div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_EQUALIZERIMPLEMENTATIONS_INCLUDE_EQUALIZERIMPLEMENTATIONS_INMEMORYEQUALIZERCONFIGURATION_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_adce21b695c70cd7241d7dad6367e7c77"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#adce21b695c70cd7241d7dad6367e7c77">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::getDefaultState</a></div><div class="ttdeci">avsCommon::sdkInterfaces::audio::EqualizerState getDefaultState() const override</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:61</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a9e92dbf094527d2bf8ead4429f0ef9ea"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a9e92dbf094527d2bf8ead4429f0ef9ea">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBandLevelMap</a></div><div class="ttdeci">std::unordered_map&lt; EqualizerBand, int, utils::functional::EnumClassHash &gt; EqualizerBandLevelMap</div><div class="ttdoc">A collection of bands with their level values. This is an alias for EqualizerBand to band level (int)...</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:79</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_aefac08194235035b5ea98c255dd6081e"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerBand</a></div><div class="ttdeci">EqualizerBand</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:34</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_a26039ca45ee99d03febdd1bfaf4ab0f2"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a26039ca45ee99d03febdd1bfaf4ab0f2">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::getMaxBandLevel</a></div><div class="ttdeci">int getMaxBandLevel() const override</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:57</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration</a></div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.h:31</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_a261ecb7fcc5529cdcf6ab80dc15dbd6f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a261ecb7fcc5529cdcf6ab80dc15dbd6f">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::createDefault</a></div><div class="ttdeci">static std::shared_ptr&lt; InMemoryEqualizerConfiguration &gt; createDefault()</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:178</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerState</a></div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:84</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_html_a6ccd1cb28b9957443f33efd5885729a4"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerMode</a></div><div class="ttdeci">EqualizerMode</div><div class="ttdef"><b>Definition:</b> EqualizerTypes.h:53</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a></div><div class="ttdef"><b>Definition:</b> EqualizerConfigurationInterface.h:35</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_a75180cfd38ea7340d53a3edecab75616"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a75180cfd38ea7340d53a3edecab75616">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::InMemoryEqualizerConfiguration</a></div><div class="ttdeci">InMemoryEqualizerConfiguration()</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:198</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_a5a326b4ceed7e7c7bc7525341f9a2405"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a5a326b4ceed7e7c7bc7525341f9a2405">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::~InMemoryEqualizerConfiguration</a></div><div class="ttdeci">~InMemoryEqualizerConfiguration() override=default</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_a424701750b77707dcb1f95911cf04e1d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a424701750b77707dcb1f95911cf04e1d">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::getSupportedModes</a></div><div class="ttdeci">std::set&lt; avsCommon::sdkInterfaces::audio::EqualizerMode &gt; getSupportedModes() const override</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:49</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_a57f4abe411139ebcd58882089a22b5c6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a57f4abe411139ebcd58882089a22b5c6">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::isModeSupported</a></div><div class="ttdeci">bool isModeSupported(avsCommon::sdkInterfaces::audio::EqualizerMode mode) const override</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:72</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_a63ab6793307ce3b30e0d1d0757ffbc5f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a63ab6793307ce3b30e0d1d0757ffbc5f">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::isEnabled</a></div><div class="ttdeci">bool isEnabled() const override</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:190</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_a2281a169ecf9f41f2d0a32d87f059753"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a2281a169ecf9f41f2d0a32d87f059753">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::isBandSupported</a></div><div class="ttdeci">bool isBandSupported(avsCommon::sdkInterfaces::audio::EqualizerBand band) const override</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:65</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_a1c6844a25a7118785a2a01605d4d960f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a1c6844a25a7118785a2a01605d4d960f">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::getMinBandLevel</a></div><div class="ttdeci">int getMinBandLevel() const override</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:53</div></div>
<div class="ttc" id="_equalizer_configuration_interface_8h_html"><div class="ttname"><a href="_equalizer_configuration_interface_8h.html">EqualizerConfigurationInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_a2d75564680a8059840aa6176d1e2ed4e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a2d75564680a8059840aa6176d1e2ed4e">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::createDisabled</a></div><div class="ttdeci">static std::shared_ptr&lt; InMemoryEqualizerConfiguration &gt; createDisabled()</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:194</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_a0264bc159e277c42cbf36f0080878c8d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a0264bc159e277c42cbf36f0080878c8d">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::getSupportedBands</a></div><div class="ttdeci">std::set&lt; avsCommon::sdkInterfaces::audio::EqualizerBand &gt; getSupportedBands() const override</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:45</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_aacaa1f71cc13fe781f0a1c1ce74daa4c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#aacaa1f71cc13fe781f0a1c1ce74daa4c">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::create</a></div><div class="ttdeci">static std::shared_ptr&lt; InMemoryEqualizerConfiguration &gt; create(int minBandLevel, int maxBandLevel, const std::set&lt; avsCommon::sdkInterfaces::audio::EqualizerBand &gt; &amp;bandsSupported, const std::set&lt; avsCommon::sdkInterfaces::audio::EqualizerMode &gt; &amp;modesSupported, avsCommon::sdkInterfaces::audio::EqualizerState defaultState)</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:163</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_a28f660b0e5e06bad287ad16eaad076b3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a28f660b0e5e06bad287ad16eaad076b3">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::validateBandLevelMap</a></div><div class="ttdeci">bool validateBandLevelMap(const avsCommon::sdkInterfaces::audio::EqualizerBandLevelMap &amp;bandLevelMap, bool validateValues)</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:129</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_html_a41582e94f6e33233366428e648a2ab55"><div class="ttname"><a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a41582e94f6e33233366428e648a2ab55">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::validateConfiguration</a></div><div class="ttdeci">bool validateConfiguration()</div><div class="ttdef"><b>Definition:</b> InMemoryEqualizerConfiguration.cpp:95</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
